package com.cool.store.dto.enterprise;


import com.alibaba.fastjson.annotation.JSONField;

/**
 * 企业开通授权信息
 * @author   zhangchenbiao
 * @date   2022-01-18 04:40
 */
public class AuthInfoDTO {

    @JSONField(name = "auth_corp_info")
    private AuthCorpInfoDTO authCorpInfo;

    @JSONField(name = "auth_user_info")
    private AuthUserInfoDTO authUserInfo;

    @JSONField(name = "auth_info")
    private AuthAgentInfoDTO authAgentInfo;

    public AuthCorpInfoDTO getAuthCorpInfo() {
        return authCorpInfo;
    }

    public void setAuthCorpInfo(AuthCorpInfoDTO authCorpInfo) {
        this.authCorpInfo = authCorpInfo;
    }

    public AuthUserInfoDTO getAuthUserInfo() {
        return authUserInfo;
    }

    public void setAuthUserInfo(AuthUserInfoDTO authUserInfo) {
        this.authUserInfo = authUserInfo;
    }

    public AuthAgentInfoDTO getAuthAgentInfo() {
        return authAgentInfo;
    }

    public void setAuthAgentInfo(AuthAgentInfoDTO authAgentInfo) {
        this.authAgentInfo = authAgentInfo;
    }
}
